### Method

# Fwupd Client quit

#### Declaration [src]

    gboolean
    fwupd_client_quit (
      FwupdClient* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Asks the daemon to quit. This can only be called by the root user.

NOTE: This will only actually quit if an install is not already in progress.

Available since: | 1.8.11
This method is not directly available to language bindings.

#### Parameters

`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.